/********************************************************************************
    Advent of Code 2024 - day-01
********************************************************************************/

package main

import (
	"flag"
	"fmt"
	"log"

	"github.com/onyx-and-iris/aoc2024/day-01/internal/one"
	"github.com/onyx-and-iris/aoc2024/day-01/internal/two"
)

func main() {
	filename := flag.String("f", "input.txt", "input file")
	flag.Parse()

	val, err := one.Solve(*filename)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("solution one: %d\n", val)

	val, err = two.Solve(*filename)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("solution two: %d\n", val)
}
